<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:viewBindingIgnore="true">

    <LinearLayout
        android:id="@+id/list_item"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/common_padding"
        android:background="@drawable/shape_corner_white"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_padding"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/payment_item_name"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="start"
                android:textColor="@color/text_color_blue"
                android:textSize="@dimen/text_size_medium"
                android:textStyle="bold" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_margin="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_padding"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/common_padding_huge"
                android:layout_weight="2"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/payment_expenses"
                    android:textSize="@dimen/text_size_medium" />

                <EditText
                    android:id="@+id/price"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="numberDecimal|numberSigned"
                    android:selectAllOnFocus="true"
                    android:singleLine="true"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding_huge"
                android:layout_weight="1"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/currency"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/price_unit"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/no_info"
                    android:singleLine="true"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_margin="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_padding"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/common_padding_huge"
                android:layout_weight="2"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/count"
                    android:textSize="@dimen/text_size_medium" />

                <EditText
                    android:id="@+id/count"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="number"
                    android:selectAllOnFocus="true"
                    android:singleLine="true"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding_huge"
                android:layout_weight="1"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/unit"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/unit"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_margin="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_padding"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/consume_date"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/date"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/please_input"
                android:selectAllOnFocus="true"
                android:singleLine="true"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_margin="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_huge"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="start"
                android:text="@string/cost_detail"
                android:textSize="@dimen/text_size_medium" />

            <com.pan_american.android.util.ScrollEditText
                android:id="@+id/cost_detail"
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:layout_marginTop="@dimen/common_padding"
                android:scrollbars="none" />

        </LinearLayout>

    </LinearLayout>

</FrameLayout>